<!doctype html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <title>Query Sample</title>
  <base href="./">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
  <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.1.0/css/all.css" integrity="sha384-lKuwvrZot6UHsBSfcMvOkWwlCMgc0TaWr+30HWe3a4ltaBwTZhyTEggF5tJv8tbt"
    crossorigin="anonymous">
  <link rel="icon" type="image/x-icon" href="favicon.ico">

</head>

<body>
  <query-component>
    <div *ngIf="isLoading" class="preloader" style="z-index:5; display: flex; height: 100vh; align-items: center;">
      <svg width="40" height="40" viewBox="0 0 105 105" xmlns="http://www.w3.org/2000/svg" fill="#132B6B" style="width: 100vw; text-align: center;">
        <circle cx="12.5" cy="12.5" r="12.5">
          <animate attributeName="fill-opacity" begin="1s" dur="2s" values="1;.2;1" calcMode="linear" repeatCount="indefinite"></animate>
        </circle>
        <circle cx="12.5" cy="52.5" r="12.5" fill-opacity=".5">
          <animate attributeName="fill-opacity" begin="200ms" dur="2s" values="1;.2;1" calcMode="linear" repeatCount="indefinite"></animate>
        </circle>
        <circle cx="52.5" cy="12.5" r="12.5">
          <animate attributeName="fill-opacity" begin="600ms" dur="2s" values="1;.2;1" calcMode="linear" repeatCount="indefinite"></animate>
        </circle>
        <circle cx="92.5" cy="12.5" r="12.5">
          <animate attributeName="fill-opacity" begin="1600ms" dur="2s" values="1;.2;1" calcMode="linear" repeatCount="indefinite"></animate>
        </circle>
        <circle cx="92.5" cy="52.5" r="12.5">
          <animate attributeName="fill-opacity" begin="800ms" dur="2s" values="1;.2;1" calcMode="linear" repeatCount="indefinite"></animate>
        </circle>
        <circle cx="12.5" cy="92.5" r="12.5">
          <animate attributeName="fill-opacity" begin="1400ms" dur="2s" values="1;.2;1" calcMode="linear" repeatCount="indefinite"></animate>
        </circle>
        <circle cx="52.5" cy="92.5" r="12.5">
          <animate attributeName="fill-opacity" begin="1000ms" dur="2s" values="1;.2;1" calcMode="linear" repeatCount="indefinite"></animate>
        </circle>
        <circle cx="92.5" cy="92.5" r="12.5">
          <animate attributeName="fill-opacity" begin="400ms" dur="2s" values="1;.2;1" calcMode="linear" repeatCount="indefinite"></animate>
        </circle>
      </svg>
    </div>
  </query-component>
</body>

</html>
